/* $Id: angleprm.c,v 3.1 1996/11/03 12:37:50 kas Exp $ */

/* Program vypise parametry uhlu v systemu */

/*
 *  Programs used in my diploma thesis.
 *  Copyright (C) 1995, 1996  Jan Kasprzak <kas@muni.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <stdio.h>
#include <string.h>
#include "prm.h"

extern struct parm *readparm __P((char *filename));

#define atomname(p,x)	(p->AtomNames+4*p->x)

#if 0
static int find_bond(p, a1, a2)
struct parm *p;
int a1, a2;
{
	int i;
	int h=1;
#ifdef DEBUG
	printf("Looking for %d-%d bond ...\n", a1,a2);
#endif
	for (i=0; i<p->Nbonh; i++)
		if ((p->BondHAt1[i] == a1
			&& p->BondHAt2[i] == a2)
			|| (p->BondHAt2[i] == a1
			&& p->BondHAt1[i] == a2))
			goto found;
	h=0;
	for (i=0; i<p->Nbona; i++)
		if ((p->BondAt1[i] == a1
			&& p->BondAt2[i] == a2)
			|| (p->BondAt2[i] == a1
			&& p->BondAt1[i] == a2))
			goto found;
	printf("FATAL: Bond parameters for %d-%d not found!\n", a1, a2);
found:	
	return h ? p->BondHNum[i] : p->BondNum[i];
}
#endif

static void usage(str)
char *str;
{
	fprintf(stderr, "Usage: %s foobar.top\n", str);
	exit(1);
}

int main(argc, argv)
int argc;
char **argv;
{
	struct parm *prm;
	int i;

	if (argc != 2)
		usage(*argv);
		
	prm = readparm(argv[1]);

	for (i=0; i<prm->Ntheth; i++)
	{
		printf("%2d: %.3s-%.3s-%.3s (%2d-%2d-%2d), type=%2d, Tk=%2.2f, "
			"Teq=%2.2f\n",
			i,
			atomname(prm,AngleHAt1[i]), atomname(prm, AngleHAt2[i]),
			atomname(prm,AngleHAt3[i]),
			prm->AngleHAt1[i]+1,
			prm->AngleHAt2[i]+1,
			prm->AngleHAt3[i]+1,
			prm->AngleHNum[i], 
			prm->Tk[prm->AngleHNum[i]],
			prm->Teq[prm->AngleHNum[i]]
			);
	}
	for (i=0; i<prm->Ntheta; i++)
	{
		printf("%2d: %.3s-%.3s-%.3s (%2d-%2d-%2d), type=%2d, Tk=%2.2f, "
			"Teq=%2.2f\n",
			i,
			atomname(prm,AngleAt1[i]), atomname(prm, AngleAt2[i]),
			atomname(prm,AngleAt3[i]),
			prm->AngleAt1[i]+1,
			prm->AngleAt2[i]+1,
			prm->AngleAt3[i]+1,
			prm->AngleNum[i], 
			prm->Tk[prm->AngleNum[i]],
			prm->Teq[prm->AngleNum[i]]
			);
	}
	return 0;
}

