/* $Id: bondprm.c,v 3.0.0.1 1996/11/02 18:12:38 kas Exp $ */

/* Program pro vypis parametru vazeb v molekule */

/*
 *  Programs used in my diploma thesis.
 *  Copyright (C) 1995, 1996  Jan Kasprzak <kas@muni.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <stdio.h>
#include <string.h>
#include "prm.h"

extern struct parm *readparm __P((char *filename));

#define atomname(p,x)	(p->AtomNames+4*p->x)

static void usage(str)
char *str;
{
	fprintf(stderr, "Usage: %s foobar.top\n", str);
	exit(1);
}

int main(argc, argv)
int argc;
char **argv;
{
	struct parm *prm;
	int i;

	if (argc != 2)
		usage(*argv);
		
	prm = readparm(argv[1]);

	for (i=0; i<prm->Nbonh; i++)
	{
		printf("%2d: %.3s-%.3s (%2d-%2d), type=%2d, Rk=%2.2f, "
			"Req=%2.2f\n",
			i,
			atomname(prm,BondHAt1[i]), atomname(prm, BondHAt2[i]),
			prm->BondHAt1[i]+1, prm->BondHAt2[i]+1,
			prm->BondHNum[i], 
			prm->Rk[prm->BondHNum[i]],
			prm->Req[prm->BondHNum[i]]
			);
	}
	for (i=0; i<prm->Nbona; i++)
	{
		printf("%2d: %.3s-%.3s (%2d-%2d), type=%2d, Rk=%2.2f, "
			"Req=%2.2f\n",
			i,
			atomname(prm,BondAt1[i]), atomname(prm, BondAt2[i]),
			prm->BondAt1[i]+1, prm->BondAt2[i]+1,
			prm->BondNum[i], 
			prm->Rk[prm->BondNum[i]],
			prm->Req[prm->BondNum[i]]
			);
	}
	return 0;
}

